io.vertx.servicediscovery.consul

## Class ImportedConsulService

- java.lang.Object
- - io.vertx.servicediscovery.consul.ImportedConsulService

-     public class ImportedConsulService
      extends Object

  Structure holding a service imported from Consul and published in the Vert.x service discovery.
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportedConsulService(String name, String id, Record record)` Creates a new instance of `ImportedConsulService`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `name()`
    `ImportedConsulService` | `register(ServicePublisher publisher, Promise<ImportedConsulService> completion)` Registers the service and completes the given future when done.
    `void` | `unregister(ServicePublisher publiher, Promise<Void> completion)` Unregisters the service and completes the given future when done, if not `null`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportedConsulService

          public ImportedConsulService(String name,
                                       String id,
                                       Record record)

      Creates a new instance of `ImportedConsulService`.
      Parameters:
        `name` - the service name
        `id` - the service id, may be the name
        `record` - the record (not yet registered)

  - ### Method Detail

    - #### name

          public String name()

      Returns:
        the name

    - #### register

          public ImportedConsulService register(ServicePublisher publisher,
                                                Promise<ImportedConsulService> completion)

      Registers the service and completes the given future when done.
      Parameters:
        `publisher` - the service publisher instance
        `completion` - the completion future
      Returns:
        the current `ImportedConsulService`

    - #### unregister

          public void unregister(ServicePublisher publiher,
                                 Promise<Void> completion)

      Unregisters the service and completes the given future when done, if not `null`
      Parameters:
        `publiher` - the service publisher instance
        `completion` - the completion future

Copyright © 2024 Eclipse. All rights reserved.